<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PropertySet.html">PropertySet</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PropertySet Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a6a96a84c9d133c98681f860c7d6565b0">addProperty</a>(PropertyBase *prop)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a9027bb281c89247158bb01c6ddd6e3f4">getProperty</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#ac49eb97615bc2c15528588d921b3667e">getPropertyImpl</a>(const String &amp;name, T &amp;refVal, PropertyType typeCheck) const </td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a4a58972641e00032302d0a6ad2cb379f">getPropertyIterator</a>()</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#aa19819ce458a54241ff460edc7bcda21">getValue</a>(const String &amp;name, T &amp;value) const </td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a67e4dd796f8b783ee7e10ba9a72a9098">getValueMap</a>() const </td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#af9ebd006562cf7db85fd980eb7f42bb7">hasProperty</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#ab11d302034431f15797e8dbb1a2e8de6">mPropertyMap</a></td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a7f4ea40ca663fd32e4833801323033df">PropertyIterator</a> typedef</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a> typedef</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a95cb8be54dee5698a4918dd26366b954">PropertySet</a>()</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a64e083b8ec8f2b3a3d765a19087c27a8">removeProperty</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a157fa940092747d4ed140a4842112305">setPropertyImpl</a>(const String &amp;name, const T &amp;val, PropertyType typeCheck)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#ac5bbedd1543d61b98f23a102ddb3bc6a">setValue</a>(const String &amp;name, const T *value)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a7dd1b0cfb09db83e1c4841136ff7f908">setValue</a>(const String &amp;name, T value)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#ae7a113c3e91c7c8e33087f5c4d0e750e">setValue</a>(const String &amp;name, const char *pChar)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#a1802e0952c27d9acb3c3f25dfd4354e7">setValueMap</a>(const PropertyValueMap &amp;values)</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PropertySet.html#aa1890e8ea2cd4d2006bba05deb780d3d">~PropertySet</a>()</td><td><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
